docker-config for local environment 37/75637/3 casablanca
authorRob Daugherty <rd472p@att.com>
Thu, 10 Jan 2019 16:27:08 +0000 (11:27 -0500)
committerSeshu Kumar M <seshu.kumar.m@huawei.com>
Wed, 16 Jan 2019 13:36:29 +0000 (13:36 +0000)
We can use docker-compose to bring up SO containers in
a development environment.

This solution is lighter weight than kubernetes with
rancher, and should be a lot easier to use for those who
don't need all the management functions provided by
kubernetes.

I've included a script that fetches the springboot
overlay files (config files) from the oom repo and
parameterizes them for the docker-config environment.
This should alleviate the issues we would otherwise
have with keeping two sets of overlay files in sync.

Note that nothing here affects any delivered artifact,
so perhaps the PTL will consider merging it into
casablanca, even though it is past the maintenance
release date.

Change-Id: I0deeb853484fdfd0862b02121e0922fe7fc923e4
Signed-off-by: Rob Daugherty <rd472p@att.com>
Issue-ID: SO-1374

12 files changed:
create-configs.sh [new file with mode: 0755]
docker-compose-local.yml [new file with mode: 0644]
volumes/so/ca-certificates/local/onap-ca.crt [new file with mode: 0644]
volumes/so/config/api-handler-infra/local/override.yaml [new file with mode: 0644]
volumes/so/config/bpmn-infra/local/override.yaml [new file with mode: 0644]
volumes/so/config/catalog-db-adapter/local/override.yaml [new file with mode: 0644]
volumes/so/config/openstack-adapter/local/override.yaml [new file with mode: 0644]
volumes/so/config/request-db-adapter/local/override.yaml [new file with mode: 0644]
volumes/so/config/sdc-controller/local/override.yaml [new file with mode: 0644]
volumes/so/config/sdnc-adapter/local/override.yaml [new file with mode: 0644]
volumes/so/config/so-monitoring/local/override.yaml [new file with mode: 0644]
volumes/so/config/vfc-adapter/local/override.yaml [new file with mode: 0644]

diff --git a/create-configs.sh b/create-configs.sh
new file mode 100755 (executable)
index 0000000..7d5a591
--- /dev/null
@@ -0,0 +1,398 @@
+#!/bin/bash
+
+# -----------------------------------------------------------------------------
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# -----------------------------------------------------------------------------
+
+#
+# This script generates docker-compose volume overlay files from the oom
+# kubernetes configuration files.  Multiple environments can be supported. By
+# default the environment is the 'local' environment and the docker-compose 
+# file is named docker-compose-local.yml.  This script only generates the
+# overlay files, not the docker-compose file.
+#
+# Overlay files contain the springboot configuration for each SO container.
+#
+# The idea here is that docker-compose is lighter weight than kubernetes with
+# rancher, and people will find it easier to use in a development environment.
+# Whenever the overlay files in oom are modified, this script can be used to
+# (re)build overlay files for the docker-compose environment.
+#
+# Reasonably up-to-date overlay files for the docker-compose environment may
+# be checked into the docker-config repository as a convenience to those who
+# don't want to (or can't) run this script.  This script will refresh those.
+#
+# Example Workflow:
+#
+# 1) build SO software and docker images -or- pull SO docker images from nexus3
+#
+# 2) Create configuration for 'local' environment:
+#       ./create-configs.sh -e local -i -u rd472p -b master
+#
+# 3) Start the environment:
+#       docker-compose -f docker-compose-local.yml up
+#
+
+function usage
+{
+       echo "usage: $(basename $0) [-e env] [-i] [-u oom-git-user] [-b oom-git-branch]"
+       echo "where  -e specifies the environment name (default: 'local')"
+       echo "       -i re-initializes the staging directory (default: no)"
+       echo "       -u specifies the git user for cloning oom (default: current user)"
+       echo "       -b specifies the oom branch (default: current docker-config branch)"
+}
+
+#
+# Purpose: prompts for a yes/no (or equivalent) answer
+# Output: none
+# Return Code: 0 for yes, 1 for no
+# Usage: askConfirm prompt
+#
+function askConfirm
+{
+       ask_prompt="$1"
+       while :
+       do
+               echo -n "$ask_prompt" >> /dev/tty
+               read ask_reply
+
+               ask_reply=${ask_reply##+([[:space:]])};
+               ask_reply=${ask_reply%%+([[:space:]])}
+
+               case "$ask_reply" in
+               y | yes | Y | YES)
+                       return 0
+                       ;;
+               n | no | N | NO)
+                       return 1
+                       ;;
+               esac
+       done
+}
+
+#
+# Purpose: performs a literal string replacement (no regexs)
+# Output: none, but modifies the specified file
+# Return Code: 0 for success, 1 for failure
+# Usage: replace source replacement file
+#
+function replace
+{
+       local src=$1
+       local rpl=$2
+       local file=$3
+
+       if ! type xxd > /dev/null 2>&1
+       then
+               echo "xxd: command not found" 1>&2
+               return 1
+       fi
+
+       local xsrc=$(echo -n "$src" | xxd -p | tr -d '\n')
+       local xrpl=$(echo -n "$rpl" | xxd -p | tr -d '\n')
+
+       xxd -p $file | tr -d '\n' | sed "s/$xsrc/$xrpl/g" | xxd -p -r > $file.replace || return 1
+       mv $file.replace $file || return 1
+       return 0
+}
+
+#
+# Purpose: converts a camel-case variable name to snake (upper) case
+#          openStackUserName -> OPEN_STACK_USER_NAME
+# Output: the converted variable name
+# Usage: toSnake name
+#
+function toSnake
+{
+       echo "$1" | sed -r 's/([A-Z])/_\L\1/g' | sed 's/^_//' | tr '[a-z]' '[A-Z]'
+}
+
+#
+# Purpose: lists all the environment variables in the specified docker
+#          compose yaml for the specified container, e.g.:
+#          VAR1=VALUE1
+#          VAR2=VALUE2
+#          ...
+# Output: the list of variable mappings
+# Usage: listEnv composeFile containerName
+#
+function listEnv
+{
+       local composeFile=$1
+       local container=$2
+
+       local inContainer=FALSE
+       local inEnvironment=FALSE
+
+       while read line
+       do
+               if [[ $line == "$container:" ]]
+               then
+                       inContainer=TRUE
+               elif [[ $inContainer == TRUE && $line == "environment:" ]]
+               then
+                       inEnvironment=TRUE
+               else
+                       if [[ $inEnvironment == TRUE ]]
+                       then
+                               if [[ ${line:0:1} == "-" ]]
+                               then
+                                       echo "$line"
+                               else
+                                       break
+                               fi
+                       fi
+               fi
+       done < $composeFile | sed -e "s/^- '//" -e "s/'$//"
+}
+
+#
+# Purpose: tests if the specified environment variable is defined in the
+#          docker compose yaml for the specified container.
+# Output: none
+# Return Code: 0 if the variable exists, 1 if it doesn't
+# Usage: varExists composeFile containerName variableName
+#
+function varExists
+{
+       local composeFile=$1
+       local container=$2
+       local var=$3
+
+       listEnv $composeFile $container | grep "^$var=" > /dev/null
+       return $?
+}
+
+#
+# Purpose: returns the value of the specified environment variable
+#          from the compose yaml for the specified container.
+# Output: the variable value (empty if it isn't defined)
+# Usage: varValue composeFile containerName variableName
+#
+function varValue
+{
+       local composeFile=$1
+       local container=$2
+       local var=$3
+
+       listEnv $composeFile $container | grep "^$var=" | cut -d= -f2
+}
+
+### MAIN CODE STARTS HERE
+
+if [[ ! -d volumes/so ]]
+then
+       echo "You must run this command in the docker-config directory" 1>&2
+       exit 1
+fi
+
+ENV=local
+INIT=FALSE
+GITUSER=$(id -un)
+GITBRANCH=$(git rev-parse --abbrev-ref HEAD)
+
+while getopts :e:iu:b: c
+do
+       case "$c" in
+       e)
+               ENV=$OPTARG
+               ;;
+       i)
+               INIT=TRUE
+               ;;
+       u)
+               GITUSER=$OPTARG
+               ;;
+       b)
+               GITBRANCH=$OPTARG
+               ;;
+       *)
+               usage 1>&2
+               exit 1
+               ;;
+       esac
+done
+
+shift $(($OPTIND - 1))
+
+if [[ $# != 0 ]]
+then
+       usage 1>&2
+       exit 1
+fi
+
+if [[ ! -f docker-compose-$ENV.yml ]]
+then
+       echo "No such file: docker-compose-$ENV.yml" 1>&2
+       exit 1
+fi
+
+mkdir -p staging
+
+if [[ -d staging && $INIT == TRUE ]]
+then
+       if ! askConfirm "Delete existing staging directory? "
+       then
+               exit 1
+       fi
+
+       rm -fr staging || exit 1
+fi
+
+mkdir -p staging || exit 1
+
+# Get the oom repository from gerrit.
+
+if [[ -d staging/oom ]]
+then
+       cd staging/oom || exit 1
+
+       branch=$(git rev-parse --abbrev-ref HEAD)
+
+       if [[ $branch != $GITBRANCH ]]
+       then
+               echo "staging/oom is not on branch '$GITBRANCH'" 1>&2
+               exit 1
+       fi
+
+       cd ../.. || exit 1
+else
+       cd staging || exit 1
+       echo "Cloning into staging/oom"
+       git clone https://$GITUSER@gerrit.onap.org/r/a/oom || exit 1
+       cd oom || exit 1
+
+       branch=$(git rev-parse --abbrev-ref HEAD)
+
+       if [[ $branch != $GITBRANCH ]]
+       then
+               if [[ $(git ls-remote origin $GITBRANCH | wc -l) == 0 ]]
+               then
+                       echo "staging/oom has no '$GITBRANCH' branch" 1>&2
+                       exit 1
+               fi
+
+               echo "Switching staging/oom to '$GITBRANCH' branch"
+               git checkout -b $GITBRANCH remotes/origin/$GITBRANCH || exit 1
+       fi
+
+       cd ../.. || exit 1
+fi
+
+kso=staging/oom/kubernetes/so
+
+if [[ ! -d $kso ]]
+then
+       echo "No such directory: $kso" 1>&2
+       exit 1
+fi
+
+if [[ ! -d staging/volumes/so/config ]]
+then
+       mkdir -p staging/volumes/so/config
+fi
+
+stagedTargets=
+
+for override in $(cd $kso && find * -name 'override.yaml')
+do
+       subdir=${override%%/*}
+
+       if [[ $subdir == resources ]]
+       then
+               container=so-api-handler-infra
+       elif [[ $subdir == charts ]]
+       then
+               container=${override#charts/}
+               container=${container%%/*}
+       fi
+
+       if [[ $container != so-monitoring ]]
+       then
+               container=${container#so-}
+       fi
+
+       target=staging/volumes/so/config/$container/$ENV/override.yaml
+
+       if [[ ! -f $target ]]
+       then
+               mkdir -p $(dirname $target) || exit 1
+               cp $kso/$override $target.tmp || exit 1
+
+               if ! varExists docker-compose-$ENV.yml $container COMMON_NAMESPACE
+               then
+                       echo "ERROR: no COMMON_NAMESPACE variable is defined in docker-compose-$ENV.yml for container $container" 1>&2
+                       exit 1
+               fi
+
+               replace '{{ include "common.namespace" . }}' '${COMMON_NAMESPACE}' $target.tmp || exit 1
+
+               if ! varExists docker-compose-$ENV.yml $container CONTAINER_PORT
+               then
+                       echo "ERROR: no CONTAINER_PORT variable is defined in docker-compose-$ENV.yml for container $container" 1>&2
+                       exit 1
+               fi
+
+               replace '{{ index .Values.containerPort }}' '${CONTAINER_PORT}' $target.tmp || exit 1
+
+               for configValue in $(grep "{{ \.Values\.config\..*}}" $target.tmp | cut -d'{' -f3 | cut -d'}' -f1 | tr -d ' ' | sed 's/.Values.config.//' | sort -u)
+               do
+                       var=$(toSnake $configValue)
+
+                       if ! varExists docker-compose-$ENV.yml $container $var
+                       then
+                               echo "ERROR: no $var variable is defined in docker-compose-$ENV.yml for container $container" 1>&2
+                               exit 1
+                       fi
+
+                       if [[ ${var:0:11} == "OPEN_STACK_" ]]
+                       then
+                               # Workaround for variables in the openstack
+                               # adapter cloud configuration. The override
+                               # yaml is read by a migration program that
+                               # doesn't expand variables, so we need to
+                               # substitute the variable values here.
+
+                               value=$(varValue docker-compose-$ENV.yml $container $var)
+                               replace "{{ .Values.config.$configValue }}" "$value" $target.tmp || exit 1
+                       else
+                               replace "{{ .Values.config.$configValue }}" '${'$var'}' $target.tmp || exit 1
+                       fi
+               done
+
+               if grep "{{" $target.tmp > /dev/null
+               then
+                       echo "ERROR: Unresolved placeholders in $kso/$override:" 1>&2
+                       grep "{{.*}}" $target.tmp | cut -d'{' -f3 | cut -d'}' -f1 | sed -e 's/^/    {{/' -e 's/$/}}/' | sort -u 1>&2
+                       exit 1
+               fi
+
+               mv $target.tmp $target || exit 1
+               echo "Created $target"
+
+               stagedTargets="$stagedTargets target"
+       fi
+done
+
+for override in $(cd staging && find volumes -name 'override.yaml')
+do
+       dir=$(dirname $override)
+       mkdir -p $dir || exit 1
+       cp staging/$override $override || exit 1
+       echo "Installed $override" 
+done
+
+echo "SUCCESS"
diff --git a/docker-compose-local.yml b/docker-compose-local.yml
new file mode 100644 (file)
index 0000000..f84368f
--- /dev/null
@@ -0,0 +1,400 @@
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+version: '2'
+networks:
+  localnet:
+    driver: 'bridge'
+    driver_opts:
+      com.docker.network.driver.mtu: ${MTU}
+services:
+################################################################################
+  mariadb:
+    image: 'mariadb:10.1.11'
+    ports:
+      - '3306'
+    hostname: 'mariadb.local.onap.org'
+    networks:
+      localnet:
+        aliases:
+          - 'mariadb.local.onap.org'
+    volumes:
+      - './volumes/mariadb/docker-entrypoint-initdb.d:/docker-entrypoint-initdb.d'
+      - './volumes/mariadb/conf.d:/etc/mysql/conf.d'
+    environment:
+      - 'MYSQL_ROOT_PASSWORD=password'
+    logging:
+      driver: 'json-file'
+      options:
+        max-size: '30m'
+        max-file: '5'
+################################################################################
+  catalog-db-adapter:
+    image: 'onap/so/catalog-db-adapter'
+    ports:
+      - '8082:8082'
+    hostname: 'catalog-db-adapter.local.onap.org'
+    networks:
+      localnet:
+        aliases:
+          - 'catalog-db-adapter.local.onap.org'
+    volumes:
+      - './volumes/so/ca-certificates/local:/app/ca-certificates'
+      - './volumes/so/config/catalog-db-adapter/local:/app/config'
+    environment:
+      - 'APP=catalog-db-adapter'
+      - 'CONTAINER_PORT=8082'
+      - 'COMMON_NAMESPACE=local.onap.org'
+      - 'JVM_ARGS=-Xms64m -Xmx512m'
+      - 'DB_HOST=mariadb.local.onap.org'
+      - 'DB_PORT=3306'
+      - 'DB_USERNAME=so_user'
+      - 'DB_PASSWORD=so_User123'
+      - 'DB_ADMIN_USERNAME=so_admin'
+      - 'DB_ADMIN_PASSWORD=so_Admin123'
+      - 'EXIT_DELAY=1800'
+    depends_on:
+      - 'mariadb'
+    logging:
+      driver: 'json-file'
+      options:
+        max-size: '30m'
+        max-file: '5'
+    command:
+      - '/app/wait-for.sh'
+      - '-q'
+      - '-t'
+      - '300'
+      - 'mariadb.local.onap.org:3306'
+      - '--'
+      - '/app/start-app.sh'
+################################################################################
+  request-db-adapter:
+    image: 'onap/so/request-db-adapter'
+    ports:
+      - '8083:8083'
+    hostname: 'request-db-adapter.local.onap.org'
+    networks:
+      localnet:
+        aliases:
+          - 'request-db-adapter.local.onap.org'
+    volumes:
+      - './volumes/so/ca-certificates/local:/app/ca-certificates'
+      - './volumes/so/config/request-db-adapter/local:/app/config'
+    environment:
+      - 'APP=request-db-adapter'
+      - 'CONTAINER_PORT=8083'
+      - 'COMMON_NAMESPACE=local.onap.org'
+      - 'JVM_ARGS=-Xms64m -Xmx512m'
+      - 'DB_HOST=mariadb.local.onap.org'
+      - 'DB_PORT=3306'
+      - 'DB_USERNAME=so_user'
+      - 'DB_PASSWORD=so_User123'
+      - 'DB_ADMIN_USERNAME=so_admin'
+      - 'DB_ADMIN_PASSWORD=so_Admin123'
+      - 'EXIT_DELAY=1800'
+    depends_on:
+      - 'mariadb'
+      - 'catalog-db-adapter'
+    logging:
+      driver: 'json-file'
+      options:
+        max-size: '30m'
+        max-file: '5'
+    command:
+      - '/app/wait-for.sh'
+      - '-q'
+      - '-t'
+      - '300'
+      - 'catalog-db-adapter.local.onap.org:8082'
+      - '--'
+      - '/app/start-app.sh'
+################################################################################
+  sdnc-adapter:
+    image: 'onap/so/sdnc-adapter'
+    ports:
+      - '8086:8086'
+    hostname: 'sdnc-adapter.local.onap.org'
+    networks:
+      localnet:
+        aliases:
+          - 'sdnc-adapter.local.onap.org'
+    volumes:
+      - './volumes/so/ca-certificates/local:/app/ca-certificates'
+      - './volumes/so/config/sdnc-adapter/local:/app/config'
+    environment:
+      - 'APP=sdnc-adapter'
+      - 'CONTAINER_PORT=8086'
+      - 'COMMON_NAMESPACE=local.onap.org'
+      - 'JVM_ARGS=-Xms64m -Xmx512m'
+      - 'EXIT_DELAY=1800'
+    depends_on:
+      - 'mariadb'
+      - 'catalog-db-adapter'
+      - 'request-db-adapter'
+    logging:
+      driver: 'json-file'
+      options:
+        max-size: '30m'
+        max-file: '5'
+    command:
+      - '/app/wait-for.sh'
+      - '-q'
+      - '-t'
+      - '300'
+      - 'request-db-adapter.local.onap.org:8083'
+      - '--'
+      - '/app/start-app.sh'
+################################################################################
+  openstack-adapter:
+    image: 'onap/so/openstack-adapter'
+    ports:
+      - '8087:8087'
+    hostname: 'openstack-adapter.local.onap.org'
+    networks:
+      localnet:
+        aliases:
+          - 'openstack-adapter.local.onap.org'
+    volumes:
+      - './volumes/so/ca-certificates/local:/app/ca-certificates'
+      - './volumes/so/config/openstack-adapter/local:/app/config'
+    environment:
+      - 'APP=openstack-adapter'
+      - 'CONTAINER_PORT=8087'
+      - 'COMMON_NAMESPACE=local.onap.org'
+      - 'OPEN_STACK_ENCRYPTED_PASSWORD_HERE=c124921a3a0efbe579782cde8227681e'
+      - 'OPEN_STACK_KEY_STONE_URL=http://1.2.3.4:5000'
+      - 'OPEN_STACK_REGION=RegionOne'
+      - 'OPEN_STACK_SERVICE_TENANT_NAME=service'
+      - 'OPEN_STACK_USER_NAME=vnf_user'
+      - 'JVM_ARGS=-Xms64m -Xmx512m'
+      - 'DB_HOST=mariadb.local.onap.org'
+      - 'DB_PORT=3306'
+      - 'DB_USERNAME=so_user'
+      - 'DB_PASSWORD=so_User123'
+      - 'DB_ADMIN_USERNAME=so_admin'
+      - 'DB_ADMIN_PASSWORD=so_Admin123'
+      - 'EXIT_DELAY=1800'
+    depends_on:
+      - 'mariadb'
+      - 'catalog-db-adapter'
+      - 'request-db-adapter'
+    logging:
+      driver: 'json-file'
+      options:
+        max-size: '30m'
+        max-file: '5'
+    command:
+      - '/app/wait-for.sh'
+      - '-q'
+      - '-t'
+      - '300'
+      - 'request-db-adapter.local.onap.org:8083'
+      - '--'
+      - '/app/start-app.sh'
+################################################################################
+  vfc-adapter:
+    image: 'onap/so/vfc-adapter'
+    ports:
+      - '8084:8084'
+    hostname: 'vfc-adapter.local.onap.org'
+    networks:
+      localnet:
+        aliases:
+          - 'vfc-adapter.local.onap.org'
+    volumes:
+      - './volumes/so/ca-certificates/local:/app/ca-certificates'
+      - './volumes/so/config/vfc-adapter/local:/app/config'
+    environment:
+      - 'APP=vfc-adapter'
+      - 'CONTAINER_PORT=8084'
+      - 'COMMON_NAMESPACE=local.onap.org'
+      - 'JVM_ARGS=-Xms64m -Xmx512m'
+      - 'DB_HOST=mariadb.local.onap.org'
+      - 'DB_PORT=3306'
+      - 'DB_USERNAME=so_user'
+      - 'DB_PASSWORD=so_User123'
+      - 'EXIT_DELAY=1800'
+    depends_on:
+      - 'mariadb'
+      - 'catalog-db-adapter'
+      - 'request-db-adapter'
+    logging:
+      driver: 'json-file'
+      options:
+        max-size: '30m'
+        max-file: '5'
+    command:
+      - '/app/wait-for.sh'
+      - '-q'
+      - '-t'
+      - '300'
+      - 'request-db-adapter.local.onap.org:8083'
+      - '--'
+      - '/app/start-app.sh'
+################################################################################
+  sdc-controller:
+    image: 'onap/so/sdc-controller'
+    ports:
+      - '8085:8085'
+    hostname: 'sdc-controller.local.onap.org'
+    networks:
+      localnet:
+        aliases:
+          - 'sdc-controller.local.onap.org'
+    volumes:
+      - './volumes/so/ca-certificates/local:/app/ca-certificates'
+      - './volumes/so/config/sdc-controller/local:/app/config'
+    environment:
+      - 'APP=sdc-controller'
+      - 'CONTAINER_PORT=8085'
+      - 'COMMON_NAMESPACE=local.onap.org'
+      - 'JVM_ARGS=-Xms64m -Xmx512m'
+      - 'DB_HOST=mariadb.local.onap.org'
+      - 'DB_PORT=3306'
+      - 'DB_USERNAME=so_user'
+      - 'DB_PASSWORD=so_User123'
+      - 'EXIT_DELAY=1800'
+    depends_on:
+      - 'mariadb'
+      - 'catalog-db-adapter'
+      - 'request-db-adapter'
+    logging:
+      driver: 'json-file'
+      options:
+        max-size: '30m'
+        max-file: '5'
+    command:
+      - '/app/wait-for.sh'
+      - '-q'
+      - '-t'
+      - '300'
+      - 'request-db-adapter.local.onap.org:8083'
+      - '--'
+      - '/app/start-app.sh'
+################################################################################
+  bpmn-infra:
+    image: 'onap/so/bpmn-infra'
+    ports:
+      - '8081:8081'
+    hostname: 'bpmn-infra.local.onap.org'
+    networks:
+      localnet:
+        aliases:
+          - 'bpmn-infra.local.onap.org'
+    volumes:
+      - './volumes/so/ca-certificates/local:/app/ca-certificates'
+      - './volumes/so/config/bpmn-infra/local:/app/config'
+    environment:
+      - 'APP=bpmn-infra'
+      - 'CONTAINER_PORT=8081'
+      - 'COMMON_NAMESPACE=local.onap.org'
+      - 'JVM_ARGS=-Xms64m -Xmx512m'
+      - 'DB_HOST=mariadb.local.onap.org'
+      - 'DB_PORT=3306'
+      - 'DB_USERNAME=so_user'
+      - 'DB_PASSWORD=so_User123'
+      - 'EXIT_DELAY=1800'
+    depends_on:
+      - 'mariadb'
+      - 'catalog-db-adapter'
+      - 'request-db-adapter'
+    logging:
+      driver: 'json-file'
+      options:
+        max-size: '30m'
+        max-file: '5'
+    command:
+      - '/app/wait-for.sh'
+      - '-q'
+      - '-t'
+      - '300'
+      - 'request-db-adapter.local.onap.org:8083'
+      - '--'
+      - '/app/start-app.sh'
+################################################################################
+  api-handler-infra:
+    image: 'onap/so/api-handler-infra'
+    ports:
+      - '8080:8080'
+    hostname: 'api-handler-infra.local.onap.org'
+    networks:
+      localnet:
+        aliases:
+          - 'api-handler-infra.local.onap.org'
+    volumes:
+      - './volumes/so/ca-certificates/local:/app/ca-certificates'
+      - './volumes/so/config/api-handler-infra/local:/app/config'
+    environment:
+      - 'APP=api-handler-infra'
+      - 'CONTAINER_PORT=8080'
+      - 'COMMON_NAMESPACE=local.onap.org'
+      - 'JVM_ARGS=-Xms64m -Xmx512m'
+      - 'DB_HOST=mariadb.local.onap.org'
+      - 'DB_PORT=3306'
+      - 'DB_USERNAME=so_user'
+      - 'DB_PASSWORD=so_User123'
+      - 'EXIT_DELAY=1800'
+    depends_on:
+      - 'mariadb'
+      - 'catalog-db-adapter'
+      - 'request-db-adapter'
+    logging:
+      driver: 'json-file'
+      options:
+        max-size: '30m'
+        max-file: '5'
+    command:
+      - '/app/wait-for.sh'
+      - '-q'
+      - '-t'
+      - '300'
+      - 'request-db-adapter.local.onap.org:8083'
+      - '--'
+      - '/app/start-app.sh'
+################################################################################
+  so-monitoring:
+    image: 'onap/so/so-monitoring'
+    ports:
+      - '8088:8088'
+    hostname: 'so-monitoring.local.onap.org'
+    networks:
+      localnet:
+        aliases:
+          - 'so-monitoring.local.onap.org'
+    volumes:
+      - './volumes/so/ca-certificates/local:/app/ca-certificates'
+      - './volumes/so/config/so-monitoring/local:/app/config'
+    environment:
+      - 'APP=so-monitoring'
+      - 'CONTAINER_PORT=8088'
+      - 'COMMON_NAMESPACE=local.onap.org'
+      - 'JVM_ARGS=-Xms64m -Xmx512m'
+      - 'EXIT_DELAY=1800'
+    depends_on:
+      - 'mariadb'
+      - 'catalog-db-adapter'
+      - 'request-db-adapter'
+    logging:
+      driver: 'json-file'
+      options:
+        max-size: '30m'
+        max-file: '5'
+    command:
+      - '/app/wait-for.sh'
+      - '-q'
+      - '-t'
+      - '300'
+      - 'request-db-adapter.local.onap.org:8083'
+      - '--'
+      - '/app/start-app.sh'
diff --git a/volumes/so/ca-certificates/local/onap-ca.crt b/volumes/so/ca-certificates/local/onap-ca.crt
new file mode 100644 (file)
index 0000000..e9a50d7
--- /dev/null
@@ -0,0 +1,31 @@
+-----BEGIN CERTIFICATE-----
+MIIFPjCCAyagAwIBAgIJAJ6u7cCnzrWdMA0GCSqGSIb3DQEBCwUAMCwxDjAMBgNV
+BAsMBU9TQUFGMQ0wCwYDVQQKDARPTkFQMQswCQYDVQQGEwJVUzAeFw0xODA0MDUx
+NDE1MjhaFw0zODAzMzExNDE1MjhaMCwxDjAMBgNVBAsMBU9TQUFGMQ0wCwYDVQQK
+DARPTkFQMQswCQYDVQQGEwJVUzCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCCAgoC
+ggIBAMA5pkgRs7NhGG4ew5JouhyYakgYUyFaG121+/h8qbSdt0hVQv56+EA41Yq7
+XGie7RYDQK9NmAFF3gruE+6X7wvJiChp+Cyd7sFMnb65uWhxEdxWTM2BJFrgfzUn
+H8ZCxgaCo3XH4PzlKRy2LQQJEJECwl/RZmRCXijMt5e9h8XoZY/fKkKcZZUsWNCM
+pTo266wjvA9MXLmdgReRj0+vrCjrNqy+htwJDztoiHWiYPqT6o8EvGcgjNqjlZx7
+NUNf8MfLDByqKF6+wRbHv1GKjn3/Vijd45Fv8riyRYROiFanvbV6jIfBkv8PZbXg
+2VDWsYsgp8NAvMxK+iV8cO+Ck3lBI2GOPZbCEqpPVTYbLUz6sczAlCXwQoPzDIZY
+wYa3eR/gYLY1gP2iEVHORag3bLPap9ZX5E8DZkzTNTjovvLk8KaCmfcaUMJsBtDd
+ApcUitz10cnRyZc1sX3gE1f3DpzQM6t9C5sOVyRhDcSrKqqwb9m0Ss04XAS9FsqM
+P3UWYQyqDXSxlUAYaX892u8mV1hxnt2gjb22RloXMM6TovM3sSrJS0wH+l1nznd6
+aFXftS/G4ZVIVZ/LfT1is4StoyPWZCwwwly1z8qJQ/zhip5NgZTxQw4mi7ww35DY
+PdAQOCoajfSvFjqslQ/cPRi/MRCu079heVb5fQnnzVtnpFQRAgMBAAGjYzBhMB0G
+A1UdDgQWBBRTVTPyS+vQUbHBeJrBKDF77+rtSTAfBgNVHSMEGDAWgBRTVTPyS+vQ
+UbHBeJrBKDF77+rtSTAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB/wQEAwIBhjAN
+BgkqhkiG9w0BAQsFAAOCAgEAPx/IaK94n02wPxpnYTy+LVLIxwdq/kawNd6IbiMz
+L87zmNMDmHcGbfoRCj8OkhuggX9Lx1/CkhpXimuYsZOFQi5blr/u+v4mIbsgbmi9
+7j+cUHDP0zLycvSvxKHty51LwmaX9a4wkJl5zBU4O1sd/H9tWcEmwJ39ltKoBKBx
+c94Zc3iMm5ytRWGj+0rKzLDAXEWpoZ5bE5PLJauA6UDCxDLfs3FwhbS7uDggxYvf
+jySF5FCNET94oJ+m8s7VeHvoa8iPGKvXrIqdd7XDHnqJJlVKr7m9S0fMbyEB8ci2
+RtOXDt93ifY1uhoEtEykn4dqBSp8ezvNMnwoXdYPDvTd9uCAFeWFLVreBAWxd25h
+PsBTkZA5hpa/rA+mKv6Af4VBViYr8cz4dZCsFChuioVebe9ighrfjB//qKepFjPF
+CyjzKN1u0JKm/2x/ORqxkTONG8p3uDwoIOyimUcTtTMv42bfYD88RKakqSFXE9G+
+Z0LlaKABqfjK49o/tsAp+c5LoNlYllKhnetO3QAdraHwdmC36BhoghzR1jpX751A
+cZn2VH3Q4XKyp01cJNCJIrua+A+bx6zh3RyW6zIIkbRCbET+UD+4mr8WIcSE3mtR
+ZVlnhUDO4z9//WKMVzwS9Rh8/kuszrGFI1KQozXCHLrce3YP6RYZfOed79LXaRwX
+dYY=
+-----END CERTIFICATE-----
diff --git a/volumes/so/config/api-handler-infra/local/override.yaml b/volumes/so/config/api-handler-infra/local/override.yaml
new file mode 100644 (file)
index 0000000..f178f21
--- /dev/null
@@ -0,0 +1,129 @@
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+server:
+    port: ${CONTAINER_PORT}
+    tomcat:
+        max-threads: 50
+ssl-enable: false
+mso:
+  msoKey: 07a7159d3bf51a0e53be7a8f89699be7
+  logPath: logs
+  site-name: onapheat
+  adapters:
+    requestDb:
+      endpoint: http://so-request-db-adapter.${COMMON_NAMESPACE}:8083
+      auth: Basic YnBlbDpwYXNzd29yZDEk
+  catalog:
+    db:
+      spring:
+        endpoint: http://so-catalog-db-adapter.${COMMON_NAMESPACE}:8082
+  db:
+    auth: Basic YnBlbDpwYXNzd29yZDEk
+  config:
+    path: /src/main/resources/
+  infra:
+    default:
+      alacarte:
+        orchestrationUri: /mso/async/services/ALaCarteOrchestrator
+        recipeTimeout: 180
+        testApi: VNF_API
+      service:
+        macro:
+          default:
+            testApi: GR_API
+  camundaURL: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/
+  camundaAuth: 1D9003AB8BAFFA0D2104B67FA89040AD70B5B495B2A5DF931DE236484EBC1681
+  async:
+    core-pool-size: 50
+    max-pool-size: 50
+    queue-capacity: 500
+  sdc:
+    client:
+      auth: F3473596C526938329DF877495B494DC374D1C4198ED3AD305EA3ADCBBDA1862
+    activate:
+      instanceid: test
+      userid: cs0008
+    endpoint: http://sdc-be.${COMMON_NAMESPACE}:8443
+  tenant:
+    isolation:
+      retry:
+        count: 3
+  aai:
+    endpoint: https://aai.${COMMON_NAMESPACE}:8443
+    auth: 2630606608347B7124C244AB0FE34F6F
+  so:
+    operational-environment:
+      dmaap:
+        username: testuser
+        password: VjR5NDcxSzA=
+        host: http://dmaap-bc.${COMMON_NAMESPACE}:8080
+      publisher:
+        topic: com.att.ecomp.mso.operationalEnvironmentEvent
+spring:
+  datasource:
+    url: jdbc:mariadb://${DB_HOST}:${DB_PORT}/catalogdb
+    username: ${DB_USERNAME}
+    password: ${DB_PASSWORD}
+    driver-class-name: org.mariadb.jdbc.Driver
+    dbcp2:
+      initial-size: 5
+      max-total: 20
+      validation-query: select 1
+      test-on-borrow: true
+  jpa:
+      show-sql: true
+      hibernate:
+        dialect: org.hibernate.dialect.MySQL5Dialect
+        ddl-auto: validate
+        naming-strategy: org.hibernate.cfg.ImprovedNamingStrategy
+        enable-lazy-load-no-trans: true
+  jersey:
+    type: filter
+  security:
+    usercredentials:
+    -
+      username: sitecontrol
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: SiteControl-Client
+    -
+      username: gui
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: GUI-Client
+    -
+      username: infraportal
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: InfraPortal-Client
+    -
+      username: InfraPortalClient
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: InfraPortal-Client
+    -
+      username: bpel
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: BPEL-Client
+    -
+      username: mso_admin
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: ACTUATOR
+request:
+  datasource:
+    url: jdbc:mariadb://${DB_HOST}:${DB_PORT}/requestdb
+    username: ${DB_USERNAME}
+    password: ${DB_PASSWORD}
+    driver-class-name: org.mariadb.jdbc.Driver
+    dbcp2:
+      initial-size: 5
+      max-total: 20
+      validation-query: select 1
+      test-on-borrow: true
diff --git a/volumes/so/config/bpmn-infra/local/override.yaml b/volumes/so/config/bpmn-infra/local/override.yaml
new file mode 100644 (file)
index 0000000..0b6e9da
--- /dev/null
@@ -0,0 +1,346 @@
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+aai:
+  auth: 65885E7C4E860E420808030D8BC653073E6782CB5026EC8F49E3E5C6F3E27F6A
+  dme2:
+    timeout: '30000'
+  endpoint: https://aai.${COMMON_NAMESPACE}:8443
+  workflowAaiDistributionDelay: PT30S
+  pnfEntryNotificationTimeout: P14D
+camunda:
+  bpm:
+    admin-user:
+      id: admin
+      password: admin
+    history-level: full
+    job-execution:
+      max-pool-size: 30
+      core-pool-size: 3
+entitymanager:
+  packagesToScan: com
+pnf:
+  dmaap:
+    host: message-router
+    port: 3904
+    protocol: http
+    uriPathPrefix: events
+    topicName: unauthenticated.PNF_READY
+    consumerGroup: consumerGroup
+    consumerId: consumerId
+    topicListenerDelayInSeconds: 5
+bpelURL: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081
+msb-ip: msb-iag.${COMMON_NAMESPACE}
+msb-port: 80
+mso:
+  msoKey: 07a7159d3bf51a0e53be7a8f89699be7
+  correlation:
+    timeout: 60
+  logPath: logs
+  async:
+    core-pool-size: 50
+    max-pool-size: 50
+    queue-capacity: 500
+  adapters:
+    completemsoprocess:
+      endpoint: http://so-openstack-adapter.${COMMON_NAMESPACE}:8087/CompleteMsoProcess
+    requestDb:
+      endpoint: http://so-request-db-adapter.${COMMON_NAMESPACE}:8083
+      auth: Basic YnBlbDpwYXNzd29yZDEk
+    db:
+      auth: 33293332AEC4930F655D8E2E8BB08937
+      password: wLg4sjrAFUS8rfVfdvTXeQ==
+      endpoint: http://so-request-db-adapter.${COMMON_NAMESPACE}:8083/services/RequestsDbAdapter
+      spring:
+        endpoint: http://so-request-db-adapter.${COMMON_NAMESPACE}:8083
+    network:
+      endpoint: http://so-openstack-adapter.${COMMON_NAMESPACE}:8087/services/NetworkAdapter
+      rest:
+        endpoint: http://so-openstack-adapter.${COMMON_NAMESPACE}:8087/services/rest/v1/networks
+    openecomp:
+      db:
+        endpoint: http://so-request-db-adapter.${COMMON_NAMESPACE}:8083/services/RequestsDbAdapter
+    po:
+      auth: 33293332AEC4930F655D8E2E8BB08937
+      password: B8EBDE0311F0AF355CF3F2FD505A8CAD
+    sdnc:
+      endpoint: http://so-sdnc-adapter.${COMMON_NAMESPACE}:8086/adapters/SDNCAdapter
+      rest:
+        endpoint: http://so-sdnc-adapter.${COMMON_NAMESPACE}:8086/adapters/rest/v1/sdnc
+      timeout: PT60M
+    tenant:
+      endpoint: http://so-openstack-adapter.${COMMON_NAMESPACE}:8087/services/TenantAdapter
+    vnf:
+      endpoint: http://so-openstack-adapter.${COMMON_NAMESPACE}:8087/services/VnfAdapter
+      rest:
+        endpoint: http://so-openstack-adapter.${COMMON_NAMESPACE}:8087/services/rest/v1/vnfs
+    volume-groups:
+      rest:
+        endpoint: http://so-openstack-adapter.${COMMON_NAMESPACE}g:8087/services/rest/v1/volume-groups
+    vnf-async:
+      endpoint: http://so-openstack-adapter.${COMMON_NAMESPACE}:8087/services/VnfAsync
+    vfc:
+      rest:
+        endpoint: http://so-vfc-adapter.${COMMON_NAMESPACE}:8084/services/v1/vfcadapter
+    workflow:
+      message:
+        endpoint: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/mso/WorkflowMessage
+  bpmn:
+    process:
+      historyTimeToLive: '30'
+  callbackRetryAttempts: '5'
+  catalog:
+    db:
+      endpoint: http://so-catalog-db-adapter.${COMMON_NAMESPACE}:8082/ecomp/mso/catalog
+      spring:
+        endpoint: http://so-catalog-db-adapter.${COMMON_NAMESPACE}:8082
+  db:
+    auth: Basic YnBlbDpwYXNzd29yZDEk
+  default:
+    adapter:
+      namespace: http://org.onap.mso
+  healthcheck:
+    log:
+      debug: 'false'
+  infra:
+    customer:
+      id: testCustIdInfra
+  po:
+    timeout: PT60M
+  request:
+    db:
+      endpoint: http://so-request-db-adapter.${COMMON_NAMESPACE}:8083/
+  rollback: 'true'
+  sdnc:
+    password: 3141634BF7E070AA289CF2892C986C0B
+  service:
+    agnostic:
+      sniro:
+        endpoint: /sniro/api/v2/placement
+        host: http://sniro-emulator:80
+  site-name: CamundaEngine
+  sniro:
+    auth: test:testpwd
+    callback: http://so-openstack-adapter.${COMMON_NAMESPACE}:8087/adapters/rest/SDNCNotify
+    endpoint: http://replaceme:28090/optimizationInstance/V1/create
+    timeout: PT30M
+  oof:
+    auth: test:testpwd
+    callbackEndpoint: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/mso/WorkflowMessage
+    endpoint: http://oof-osdf.${COMMON_NAMESPACE}:8698/api/oof/v1/placement
+    timeout: PT30M
+  workflow:
+    CreateGenericVNFV1:
+      aai:
+        volume-group:
+          uri: /aai/v6/cloud-infrastructure/volume-groups/volume-group
+    default:
+      aai:
+        version: '14'
+        cloud-region:
+          version: '14'
+        generic-vnf:
+          version: '14'
+        v14:
+          customer:
+            uri: /aai/v14/business/customers/customer
+          generic-query:
+            uri: /aai/v14/search/generic-query
+          generic-vnf:
+            uri: /aai/v14/network/generic-vnfs/generic-vnf
+          l3-network:
+            uri: /aai/v14/network/l3-networks/l3-network
+          network-policy:
+            uri: /aai/v14/network/network-policies/network-policy
+          nodes-query:
+            uri: /aai/v14/search/nodes-query
+          route-table-reference:
+            uri: /aai/v14/network/route-table-references/route-table-reference
+          tenant:
+            uri: /aai/v14/cloud-infrastructure/cloud-regions/cloud-region/CloudOwner/RegionOne/tenants/tenant
+          vce:
+            uri: /aai/v14/network/vces/vce
+          vpn-binding:
+            uri: /aai/v14/network/vpn-bindings/vpn-binding
+          sp-partner:
+            uri: /aai/v14/business/sp-partners/sp-partner
+          device:
+            uri: /aai/v14/network/devices/device
+        v11:
+          customer:
+            uri: /aai/v11/business/customers/customer
+          generic-query:
+            uri: /aai/v11/search/generic-query
+          generic-vnf:
+            uri: /aai/v11/network/generic-vnfs/generic-vnf
+          l3-network:
+            uri: /aai/v11/network/l3-networks/l3-network
+          network-policy:
+            uri: /aai/v11/network/network-policies/network-policy
+          nodes-query:
+            uri: /aai/v11/search/nodes-query
+          route-table-reference:
+            uri: /aai/v11/network/route-table-references/route-table-reference
+          tenant:
+            uri: /aai/v11/cloud-infrastructure/cloud-regions/cloud-region/CloudOwner/RegionOne/tenants/tenant
+          vce:
+            uri: /aai/v11/network/vces/vce
+          vpn-binding:
+            uri: /aai/v11/network/vpn-bindings/vpn-binding
+        v8:
+          configuration:
+            uri: /aai/v11/network/configurations/configuration
+          customer:
+            uri: /aai/v8/business/customers/customer
+          generic-query:
+            uri: /aai/v8/search/generic-query
+          l3-network:
+            uri: /aai/v8/network/l3-networks/l3-network
+          network-policy:
+            uri: /aai/v8/network/network-policies/network-policy
+          nodes-query:
+            uri: /aai/v8/search/nodes-query
+          route-table-reference:
+            uri: /aai/v8/network/route-table-references/route-table-reference
+          tenant:
+            uri: /aai/v8/cloud-infrastructure/cloud-regions/cloud-region/CloudOwner/RegionOne/tenants/tenant
+          vce:
+            uri: /aai/v8/network/vces/vce
+          vpn-binding:
+            uri: /aai/v8/network/vpn-bindings/vpn-binding
+        v9:
+          cloud-region:
+            uri: /aai/v9/cloud-infrastructure/cloud-regions/cloud-region/CloudOwner
+          generic-vnf:
+            uri: /aai/v9/network/generic-vnfs/generic-vnf
+      retry:
+        attempts: '1'
+    deleteCinderVolumeV1:
+      aai:
+        volume-group:
+          uri: /aai/v6/cloud-infrastructure/volume-groups/volume-group
+    global:
+      default:
+        aai:
+          namespace: http://org.onap.aai.inventory/
+          version: 14
+    message:
+      endpoint: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/mso/WorkflowMessage
+    notification:
+      name: GenericNotificationServiceATT
+    sdnc:
+      replication:
+        delay: PT60S
+    sdncadapter:
+      callback: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/mso/SDNCAdapterCallbackService
+    vnfadapter:
+      create:
+        callback: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/mso/vnfAdapterNotify
+      delete:
+        callback: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/mso/vnfAdapterNotify
+      query:
+        callback: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/mso/vnfAdapterNotify
+      rollback:
+        callback: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/mso/vnfAdapterNotify
+  global:
+    dmaap:
+      username: testuser
+      password: alRyMzJ3NUNeakxl
+      host: http://10.42.111.36:904
+      publisher:
+        topic: replaceme
+policy:
+  auth: Basic dGVzdHBkcDphbHBoYTEyMw==
+  client:
+    auth: Basic bTAzNzQzOnBvbGljeVIwY2sk
+  endpoint: http://pdp.${COMMON_NAMESPACE}:8081/pdp/api/
+  environment: TEST
+sdnc:
+  auth: Basic YWRtaW46S3A4Yko0U1hzek0wV1hsaGFrM2VIbGNzZTJnQXc4NHZhb0dHbUp2VXkyVQ==
+  host: http://sdnc.${COMMON_NAMESPACE}:8282
+  path: /restconf/operations/GENERIC-RESOURCE-API
+  si:
+    svc:
+      types: PORT-MIRROR,PPROBE
+appc:
+  client:
+    topic:
+      read:
+        name: APPC-LCM-WRITE
+        timeout: 360000
+      write: APPC-LCM-READ
+      sdnc:
+        read: SDNC-LCM-WRITE
+        write: SDNC-LCM-READ
+    response:
+      timeout: 360000
+    key: VIlbtVl6YLhNUrtU
+    secret: 64AG2hF4pYeG2pq7CT6XwUOT
+    service: ueb
+    poolMembers: message-router.${COMMON_NAMESPACE}:3904,message-router.${COMMON_NAMESPACE}:3904
+sniro:
+  conductor:
+    enabled: true
+    host: http://sniro-emulator:80
+    uri: /v1/release-orders
+    headers.auth: Basic dGVzdDp0ZXN0cHdk
+  manager:
+    timeout: PT30M
+    host: http://sniro-emulator:80
+    uri.v1: /sniro/api/v2/placement
+    uri.v2: /sniro/api/placement/v2
+    headers.auth: Basic dGVzdDp0ZXN0cHdk
+    headers.patchVersion: 1
+    headers.minorVersion: 1
+    headers.latestVersion: 2
+server:
+  port: ${CONTAINER_PORT}
+  tomcat:
+    max-threads: 50
+spring:
+  datasource:
+     driver-class-name: org.mariadb.jdbc.Driver
+     url: jdbc:mariadb://${DB_HOST}:${DB_PORT}/camundabpmn
+     username: ${DB_USERNAME}
+     password: ${DB_PASSWORD}
+     dbcp2:
+      initial-size: 5
+      max-total: 20
+      validation-query: select 1
+      test-on-borrow: true
+  security:
+    usercredentials:
+    -
+      username: apihBpmn
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: BPMN-Client
+    -
+      username: sdncaBpmn
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: BPMN-Client
+    -
+      username: poBpmn
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: BPMN-Client
+    -
+      username: wmaBpmn
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: BPMN-Client
+    -
+      username: sniro
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: SNIRO-Client
+    -
+      username: mso_admin
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: ACTUATOR
diff --git a/volumes/so/config/catalog-db-adapter/local/override.yaml b/volumes/so/config/catalog-db-adapter/local/override.yaml
new file mode 100644 (file)
index 0000000..e1c60be
--- /dev/null
@@ -0,0 +1,41 @@
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+server:
+    port: ${CONTAINER_PORT}
+    tomcat:
+        max-threads: 50
+ssl-enable: false
+mso:
+  logPath: logs
+  site-name: onapheat
+  catalog:
+    db:
+      spring:
+        endpoint: http://so-catalog-db-adapter.${COMMON_NAMESPACE}:8082
+  db:
+    auth: Basic YnBlbDpwYXNzd29yZDEk
+spring:
+  security:
+    usercredentials:
+    -
+      username: bpel
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: BPEL-Client
+    -
+      username: mso_admin
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: ACTUATOR
+#Actuator
+management:
+  context-path: /manage
diff --git a/volumes/so/config/openstack-adapter/local/override.yaml b/volumes/so/config/openstack-adapter/local/override.yaml
new file mode 100644 (file)
index 0000000..33013ee
--- /dev/null
@@ -0,0 +1,154 @@
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+server:
+  port: ${CONTAINER_PORT}
+spring:
+  datasource:
+    url: jdbc:mariadb://${DB_HOST}:${DB_PORT}/catalogdb
+    username: ${DB_ADMIN_USERNAME}
+    password: ${DB_ADMIN_PASSWORD}
+    driver-class-name: org.mariadb.jdbc.Driver
+    dbcp2:
+      initial-size: 5
+      max-total: 20
+      validation-query: select 1
+      test-on-borrow: true
+  security:
+    usercredentials:
+    -
+      username: sdnc
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: SDNC-Client
+    -
+      username: sitecontrol
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: SiteControl-Client
+    -
+      username: bpel
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: BPEL-Client
+    -
+      username: sniro
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: SNIRO-Client
+    -
+      username: apih
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: MSO-Client
+    -
+      username: mso_admin
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: ACTUATOR
+org:
+  onap:
+    so:
+      adapters:
+        default_keystone_url_version: /v2.0
+        default_keystone_reg_ex: "/[vV][0-9]"
+        vnf:
+          bpelauth: A7FC9B308B7AF7A269072BA729A345625E0381E3071DE7EE50603677CB69C515
+          checkRequiredParameters: true
+          addGetFilesOnVolumeReq: false
+          sockettimeout: 30
+          connecttimeout: 30
+          retrycount: 5
+          retryinterval: -15
+          retrylist: 408,429,500,502,503,504,900
+          valet_enabled: false
+          fail_requests_on_valet_failure: false
+        network:
+          bpelauth: A7FC9B308B7AF7A269072BA729A345625E0381E3071DE7EE50603677CB69C515
+          sockettimeout: 5
+          connecttimeout: 5
+          retrycount: 5
+          retryinterval: -15
+          retrylist: 408,429,500,502,503,504,900
+        tenant:
+          default_keystone_url_version: /v2.0
+          default_keystone_reg_ex: "/[vV][0-9]"
+          default_tenant_description: Tenant
+          default_region_type: single
+          default_user_role: admin
+          default_success_status_string: Success
+          default_no_regions_status_string: no regions
+          default_quota_value: 10
+          set_default_quota: false
+ecomp:
+  mso:
+    adapters:
+      po:
+        retryCodes: 504
+        retryDelay: 5
+        retryCount: 3
+        pollTimeout: 7500
+        pollInterval: 15
+mso:
+  logPath: ./logs/openstack
+  catalog:
+    db:
+      spring:
+        endpoint: http://so-catalog-db-adapter.${COMMON_NAMESPACE}:8082
+  db:
+    auth: Basic YnBlbDpwYXNzd29yZDEk
+  site-name: localDevEnv
+  async:
+    core-pool-size: 50
+    max-pool-size: 50
+    queue-capacity: 500
+cloud_config:
+  identity_services:
+    RAX_KEYSTONE:
+      identity_url: "https://identity.api.rackspacecloud.com/v2.0"
+      mso_id: "RACKSPACE_ACCOUNT_ID"
+      mso_pass: "RACKSPACE_ACCOUNT_APIKEY"
+      admin_tenant: "service"
+      member_role: "admin"
+      tenant_metadata: true
+      identity_server_type: "KEYSTONE"
+      identity_authentication_type: "RACKSPACE_APIKEY"
+    DEFAULT_KEYSTONE:
+      identity_url: "http://1.2.3.4:5000"
+      mso_id: "vnf_user"
+      mso_pass: "c124921a3a0efbe579782cde8227681e"
+      admin_tenant: "service"
+      member_role: "admin"
+      tenant_metadata: true
+      identity_server_type: "KEYSTONE"
+      identity_authentication_type: "USERNAME_PASSWORD"
+  cloud_sites:
+    Dallas:
+      region_id: "DFW"
+      clli: "DFW"
+      aic_version: "2.5"
+      identity_service_id: "RAX_KEYSTONE"
+    Northern Virginia:
+      region_id: "IAD"
+      clli: "IAD"
+      aic_version: "2.5"
+      identity_service_id: "RAX_KEYSTONE"
+    Chicago:
+      region_id: "ORD"
+      clli: "ORD"
+      aic_version: "2.5"
+      identity_service_id: "RAX_KEYSTONE"
+    RegionOne:
+      region_id: "RegionOne"
+      clli: "RegionOne"
+      aic_version: "2.5"
+      identity_service_id: "DEFAULT_KEYSTONE"
+    DEFAULT:
+      region_id: "RegionOne"
+      clli: "RegionOne"
+      aic_version: "2.5"
+      identity_service_id: "DEFAULT_KEYSTONE"
diff --git a/volumes/so/config/request-db-adapter/local/override.yaml b/volumes/so/config/request-db-adapter/local/override.yaml
new file mode 100644 (file)
index 0000000..8ab1934
--- /dev/null
@@ -0,0 +1,65 @@
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# will be used as entry in DB to say SITE OFF/ON for healthcheck
+server:
+    port: ${CONTAINER_PORT}
+    tomcat:
+        max-threads: 50
+ssl-enable: false
+mso:
+  logPath: logs
+  site-name: localSite
+  adapters:
+    requestDb:
+      auth: Basic YnBlbDpwYXNzd29yZDEk
+      endpoint: http://so-request-db-adapter.${COMMON_NAMESPACE}:8083
+spring:
+  datasource:
+    url: jdbc:mariadb://${DB_HOST}:${DB_PORT}/requestdb
+    username: ${DB_USERNAME}
+    password: ${DB_PASSWORD}
+    driver-class-name: org.mariadb.jdbc.Driver
+    initialize: false
+    initialization-mode: never
+    dbcp2:
+      initial-size: 5
+      max-total: 20
+      validation-query: select 1
+      test-on-borrow: true
+  jpa:
+    generate-ddl: false
+    show-sql: false
+    hibernate:
+      ddl-auto: validate
+      naming-strategy: org.hibernate.cfg.ImprovedNamingStrategy
+      enable-lazy-load-no-trans: true
+    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
+  security:
+    usercredentials:
+    -
+      username: bpel
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: BPEL-Client
+    -
+      username: mso_admin
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: ACTUATOR
+#Actuator
+management:
+  context-path: /manage
+flyway:
+  baseline-on-migrate: true
+  url:  jdbc:mariadb://${DB_HOST}:${DB_PORT}/requestdb
+  user: ${DB_ADMIN_USERNAME}
+  password: ${DB_ADMIN_PASSWORD}
diff --git a/volumes/so/config/sdc-controller/local/override.yaml b/volumes/so/config/sdc-controller/local/override.yaml
new file mode 100644 (file)
index 0000000..44ac80a
--- /dev/null
@@ -0,0 +1,91 @@
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+aai:
+  auth: 65885E7C4E860E420808030D8BC653073E6782CB5026EC8F49E3E5C6F3E27F6A
+server:
+  port: ${CONTAINER_PORT}
+spring:
+  datasource:
+    url: jdbc:mariadb://${DB_HOST}:${DB_PORT}/catalogdb
+    username: ${DB_USERNAME}
+    password: ${DB_PASSWORD}
+    driver-class-name: org.mariadb.jdbc.Driver
+    dbcp2:
+      initial-size: 5
+      max-total: 20
+      validation-query: select 1
+      test-on-borrow: true
+  security:
+    usercredentials:
+    -
+      username: asdc
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: Asdc-Client
+    -
+      username: mso_admin
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: ACTUATOR
+request:
+  datasource:
+    url: jdbc:mariadb://${DB_HOST}:${DB_PORT}/requestdb
+    username: ${DB_USERNAME}
+    password: ${DB_PASSWORD}
+    driver-class-name: org.mariadb.jdbc.Driver
+    dbcp2:
+      initial-size: 5
+      max-total: 20
+      validation-query: select 1
+      test-on-borrow: true
+mso:
+  msoKey: 07a7159d3bf51a0e53be7a8f89699be7
+  logPath: ./logs/sdc
+  catalog:
+    db:
+      spring:
+        endpoint: http://so-catalog-db-adapter.${COMMON_NAMESPACE}:8082
+  db:
+    auth: Basic YnBlbDpwYXNzd29yZDEk
+  site-name: onapheat
+  camundaURL: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/
+  adapters:
+    requestDb:
+      endpoint: http://so-request-db-adapter.${COMMON_NAMESPACE}:8083
+      auth: Basic YnBlbDpwYXNzd29yZDEk
+  aai:
+    endpoint: https://aai.${COMMON_NAMESPACE}:8443
+  asdc-connections:
+    asdc-controller1:
+      user: mso
+      consumerGroup: SO-OpenSource-Env11
+      consumerId: SO-COpenSource-Env11
+      environmentName: AUTO
+      asdcAddress: sdc-be.${COMMON_NAMESPACE}:8443
+      password: 613AF3483E695524F9857643B697FA51C7A9A0951094F53791485BF3458F9EADA37DBACCCEBD0CB242B85B4062745247
+      pollingInterval: 60
+      pollingTimeout: 60
+      relevantArtifactTypes: HEAT,HEAT_ENV,HEAT_VOL
+      activateServerTLSAuth: false
+      keyStorePassword:
+      keyStorePath:
+      watchDogTimeout: 300
+      isFitlerInEmptyResources: true
+      messageBusAddress: message-router.${COMMON_NAMESPACE},message-router.${COMMON_NAMESPACE}
+  asdc:
+    config:
+      key: 566B754875657232314F5548556D3665
+      components:
+        count: 3,
+        componentNames: SO,AAI,SDNC
+  scheduling:
+    enabled: false
diff --git a/volumes/so/config/sdnc-adapter/local/override.yaml b/volumes/so/config/sdnc-adapter/local/override.yaml
new file mode 100644 (file)
index 0000000..fa39218
--- /dev/null
@@ -0,0 +1,183 @@
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+server:
+    port: ${CONTAINER_PORT}
+mso:
+    async:
+        core-pool-size: 50
+        max-pool-size: 50
+        queue-capacity: 500
+    logPath: ./logs/sdnc
+    catalog:
+        db:
+          spring:
+            endpoint: http://so-catalog-db-adapter.${COMMON_NAMESPACE}:8082
+    db:
+      auth: Basic YnBlbDpwYXNzd29yZDEk
+    site-name: onapheat
+org:
+    onap:
+        so:
+            adapters:
+                sdnc:
+                    '.':
+                        put: PUT|60000|sdncurl5|
+                        query: GET|60000|sdncurl2|
+                        restdelete: DELETE|60000|sdncurl5|
+                    '':
+                        brg-topology-operation:
+                            activate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            assign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            create: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            deactivate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            delete: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            unassign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                        contrail-route-topology-operation:
+                            activate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            assign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            create: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            deactivate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            delete: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            unassign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                        network-topology-operation:
+                            activate: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            assign: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            changeassign: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            changedelete: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            delete: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            reserve: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            rollback: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                        port-mirror-topology-operation:
+                            activate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            assign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            deactivate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            disable: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            enable: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            unassign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                        security-zone-topology-operation:
+                            activate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            assign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            create: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            deactivate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            delete: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            unassign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                        service-homing-operation:
+                            homing: POST|60000|sdncurl3|sdnc-homing-header|com:att:sdnctl:aicHoming
+                        service-topology-operation:
+                            assign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            deactivate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            delete: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            rollback: POST|270000|sdncur10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                        svc-topology-operation:
+                            activate: POST|285000|sdncurl8|sdnc-request-header|com:att:sdnctl:nbncapi
+                            assign: POST|285000|sdncurl8|sdnc-request-header|com:att:sdnctl:nbncapi
+                            delete: POST|285000|sdncurl8|sdnc-request-header|com:att:sdnctl:nbncapi
+                        tunnelxconn-topology-operation:
+                            activate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            assign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            create: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            deactivate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            delete: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            unassign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                        vnf-topology-operation:
+                            activate: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            assign: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            changeassign: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            changedelete: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            delete: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                            rollback: POST|270000|sdncurl6|sdnc-request-header|org:onap:sdnctl:vnf
+                    bpelauth: 023A0244AB819A0DE0131DBC3AC5FAB4D8544E1CB1A7FE3CE60F6E3292AC0D93
+                    bpelurl: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/mso/SDNCAdapterCallbackService
+                    generic-resource:
+                        network-topology-operation:
+                            create: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            activate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            assign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            deactivate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            delete: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            unassign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                        vf-module-topology-operation:
+                            create: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            activate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            assign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            changeassign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            changedelete: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            deactivate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            delete: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            rollback: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            unassign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                        vnf-topology-operation:
+                            create: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            activate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            assign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            changeassign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            changedelete: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            deactivate: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            delete: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            rollback: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                            unassign: POST|270000|sdncurl10|sdnc-request-header|org:onap:sdnc:northbound:generic-resource
+                    infra:
+                        '':
+                            query: GET|60000|sdncurl5|
+                    mobility:
+                        '':
+                            query: GET|60000|sdncurl5|
+                    myurl: http://so-sdnc-adapter${COMMON_NAMESPACE}:8086/adapters/rest/SDNCNotify
+                    rest:
+                        bpelurl: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/mso/WorkflowMessage
+                    sdncauth: 263f7d5f944d4d0c76db74b4148bec67d0bc796a874bc0d2a2a12aae89a866aa69133f700f391f784719a37f6a68d29bf5a2fbae1dab0402db7788c800c5ba73
+                    sdncconnecttime: 5000
+                    sdncurl10: 'http://sdnc.${COMMON_NAMESPACE}:8282/restconf/operations/GENERIC-RESOURCE-API:'
+                    sdncurl11: 'http://sdnc.${COMMON_NAMESPACE}:8282/restconf/operations/VNFTOPOLOGYAIC-API:'
+                    sdncurl12: 'http://sdnc.${COMMON_NAMESPACE}:8282/'
+                    sdncurl5: 'http://sdnc.${COMMON_NAMESPACE}:8282/restconf/config'
+                    sdncurl6: 'http://sdnc.${COMMON_NAMESPACE}:8282/restconf/operations/VNF-API:'
+                    sdncurl8: 'http://sdnc.${COMMON_NAMESPACE}:8282/restconf/operations/NBNC-API:'
+                    sdncurl9: 'http://sdnc.${COMMON_NAMESPACE}:8282/restconf/operations/NORTHBOUND-API:service-topology-operation'
+                    service:
+                        infra:
+                            service-topology-infra-activate-operation: POST|90000|sdncurl9|sdnc-request-header|com:att:sdnctl:northbound-api:v1
+                            service-topology-infra-assign-operation: POST|120000|sdncurl9|sdnc-request-header|com:att:sdnctl:northbound-api:v1
+                            service-topology-infra-delete-operation: POST|90000|sdncurl9|sdnc-request-header|com:att:sdnctl:northbound-api:v1
+                            service-topology-infra-release-operation: POST|90000|sdncurl9|sdnc-request-header|com:att:sdnctl:northbound-api:v1
+                    vfmodule:
+                        '':
+                            query: GET|60000|sdncurl12|
+spring:
+  security:
+    usercredentials:
+    -
+      username: sdnc
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: SDNC-Client
+    -
+      username: sitecontrol
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: SiteControl-Client
+    -
+      username: bpel
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: BPEL-Client
+    -
+      username: sniro
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: SNIRO-Client
+    -
+      username: apih
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: MSO-Client
+    -
+      username: mso_admin
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: ACTUATOR
diff --git a/volumes/so/config/so-monitoring/local/override.yaml b/volumes/so/config/so-monitoring/local/override.yaml
new file mode 100644 (file)
index 0000000..1666b84
--- /dev/null
@@ -0,0 +1,31 @@
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+server:
+  port: ${CONTAINER_PORT}
+  tomcat:
+    max-threads: 50
+ssl-enable: false
+camunda:
+  rest:
+    api:
+      url: http://so-bpmn-infra.${COMMON_NAMESPACE}:8081/sobpmnengine/engine/
+      engine: default
+      auth: Basic YXBpaEJwbW46cGFzc3dvcmQxJA==
+mso:
+  database:
+    rest:
+      api:
+        url: http://so-request-db-adapter.${COMMON_NAMESPACE}:8083/infraActiveRequests/
+        auth: Basic YnBlbDpwYXNzd29yZDEk
diff --git a/volumes/so/config/vfc-adapter/local/override.yaml b/volumes/so/config/vfc-adapter/local/override.yaml
new file mode 100644 (file)
index 0000000..1a17014
--- /dev/null
@@ -0,0 +1,53 @@
+# Copyright © 2018 AT&T USA
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#       http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+logging:
+  path: logs
+spring:
+  datasource:
+     driver-class-name: org.mariadb.jdbc.Driver
+     url: jdbc:mariadb://${DB_HOST}:${DB_PORT}/requestdb
+     username: ${DB_USERNAME}
+     password: ${DB_PASSWORD}
+     dbcp2:
+      initial-size: 5
+      max-total: 20
+      validation-query: select 1
+      test-on-borrow: true
+  security:
+    usercredentials:
+    - username: bpel
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: BPEL-Client
+    - username: mso_admin
+      password: '$2a$10$Fh9ffgPw2vnmsghsRD3ZauBL1aKXebigbq3BB1RPWtE62UDILsjke'
+      role: ACTUATOR
+server:
+    port: ${CONTAINER_PORT}
+    tomcat:
+        max-threads: 50
+mso:
+  site-name: localSite
+  logPath: ./logs/vfc
+  msb-ip: msb-iag.${COMMON_NAMESPACE}
+  msb-port: 80
+  adapters:
+    requestDb:
+      endpoint: https://so-request-db-adapter.${COMMON_NAMESPACE}:8083
+      auth: Basic YnBlbDpwYXNzd29yZDEk
+#Actuator
+management:
+  security:
+    enabled: false
+    basic:
+      enabled: false